# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array2OfSurfacePatch Class Reference

`#include <StepGeom_Array2OfSurfacePatch.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array2OfSurfacePatch (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepGeom_Array2OfSurfacePatch (const Handle(StepGeom_SurfacePatch)&Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Handle(StepGeom_SurfacePatch)&V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array2OfSurfacePatch ()
Standard_EXPORT const StepGeom_Array2OfSurfacePatch & | Assign (const StepGeom_Array2OfSurfacePatch &Other)
const StepGeom_Array2OfSurfacePatch & | operator= (const StepGeom_Array2OfSurfacePatch &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepGeom_SurfacePatch)&Value)
const Handle_StepGeom_SurfacePatch & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Handle_StepGeom_SurfacePatch & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Handle_StepGeom_SurfacePatch & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Handle_StepGeom_SurfacePatch & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | StepGeom_Array2OfSurfacePatch (const StepGeom_Array2OfSurfacePatch &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array2OfSurfacePatch::StepGeom_Array2OfSurfacePatch | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepGeom_Array2OfSurfacePatch::StepGeom_Array2OfSurfacePatch | ( | const Handle(StepGeom_SurfacePatch)& | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

StepGeom_Array2OfSurfacePatch::~StepGeom_Array2OfSurfacePatch | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array2OfSurfacePatch::StepGeom_Array2OfSurfacePatch | ( | const StepGeom_Array2OfSurfacePatch & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void StepGeom_Array2OfSurfacePatch::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const StepGeom_Array2OfSurfacePatch& StepGeom_Array2OfSurfacePatch::Assign | ( | const StepGeom_Array2OfSurfacePatch & | Other | ) |

Handle_StepGeom_SurfacePatch& StepGeom_Array2OfSurfacePatch::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepGeom_Array2OfSurfacePatch::ColLength | ( |  | ) | const

Standard_EXPORT void StepGeom_Array2OfSurfacePatch::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array2OfSurfacePatch::Init | ( | const Handle(StepGeom_SurfacePatch)& | V | ) |

Standard_Integer StepGeom_Array2OfSurfacePatch::LowerCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfSurfacePatch::LowerRow | ( |  | ) | const

void StepGeom_Array2OfSurfacePatch::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array2OfSurfacePatch::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array2OfSurfacePatch::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepGeom_SurfacePatch& StepGeom_Array2OfSurfacePatch::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Handle_StepGeom_SurfacePatch& StepGeom_Array2OfSurfacePatch::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const StepGeom_Array2OfSurfacePatch& StepGeom_Array2OfSurfacePatch::operator= | ( | const StepGeom_Array2OfSurfacePatch & | Other | ) | `[inline]`

Standard_Integer StepGeom_Array2OfSurfacePatch::RowLength | ( |  | ) | const

void StepGeom_Array2OfSurfacePatch::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepGeom_SurfacePatch)& | Value
| ) |

Standard_Integer StepGeom_Array2OfSurfacePatch::UpperCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfSurfacePatch::UpperRow | ( |  | ) | const

const Handle_StepGeom_SurfacePatch& StepGeom_Array2OfSurfacePatch::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address StepGeom_Array2OfSurfacePatch::myData `[private]`

Standard_Boolean StepGeom_Array2OfSurfacePatch::myDeletable `[private]`

Standard_Integer StepGeom_Array2OfSurfacePatch::myLowerColumn `[private]`

Standard_Integer StepGeom_Array2OfSurfacePatch::myLowerRow `[private]`

Standard_Integer StepGeom_Array2OfSurfacePatch::myUpperColumn `[private]`

Standard_Integer StepGeom_Array2OfSurfacePatch::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array2OfSurfacePatch.hxx